// Oleg Petruny proprietary.


#include "InteractableModificator.h"

#include "InputMappingContext.h"

#include "CustomGameInstanceBase.h"
#include "Widgets/InteractableHintWidget.h"

void UInteractableModificator::OnRegister()
{
    UActorComponent::OnRegister();

    if(auto world = GetWorld())
    {
        if(auto GI = Cast<UCustomGameInstanceBase>(world->GetGameInstance()))
        {
            GI->AppendInteractableModificatorClass(this->GetClass());
        }
    }
}

const UInputMappingContext* UInteractableModificator::GetMappingContext() const
{
    return inputMapping.LoadSynchronous();
}

EActivatorType UInteractableModificator::GetActivatorTypes() const
{
    return static_cast<EActivatorType>(activatorTypes);
}
